<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.cku.dao.CkuDvUserMapper" >
  <resultMap id="BaseResultMap" type="com.cku.model.CkuDvUserModel" >
    <result column="UserName" property="userName" jdbcType="VARCHAR" />
    <result column="UserPassword" property="passWord" jdbcType="INTEGER"  />
    <result column="UserID" property="userId" jdbcType="VARCHAR"  />
    <result column="cku_id" property="ckuId" jdbcType="VARCHAR"  />
  </resultMap>
    <select id="ckuMemberLogin" resultMap="BaseResultMap" parameterType="java.lang.Long" >
     select UserName,UserPassword,UserID,cku_id from dv_user where UserName = #{userName}
  	</select>
  	<select id="getckuMemberByUserId" resultMap="BaseResultMap" parameterType="java.lang.Long" >
     select UserName,UserPassword,UserID,cku_id from dv_user where UserId = #{userId}
  	</select>
</mapper>